/*
 * Raima Database Manager
 *
 * Copyright (C) 2017 Raims Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 */

/** \file psptypes-doxygen.h
 *  \brief Header for the Platform Support Package - Platform dependent types used
 * by Doxygen instead of the platform dependent types declared in other headers
 */

#ifndef PSPTYPES_DOXYGEN_H
#define PSPTYPES_DOXYGEN_H

#define RDM_NO_ASSERT
#define RDM_64BIT_CODE                                                         \
    RDM_T (                                                                    \
        "l") /**< Format string for 64 bit integers defined in other headers */
#define RDM_64BIT_CODE_A                                                       \
    "l" /**< Format string for 64 bit integers defined in other headers */

#endif
